<?php
/**
 * Single signon for phpMyAdmin from BlueOnyx
 *
 * Requires $_COOKIE['PMA_USER'] and $_COOKIE['PMA_PASSWORD'] to be set with credentials
 *
 */

declare(strict_types=1);

/**
 * This function returns username and password.
 *
 * It can optionally use configured username as parameter.
 *
 * @param string $user User name
 *
 * @return array
 */

function get_login_credentials($user) {

    $PMA_USER = '';
    $PMA_PASSWORD = '';

    if ((isset($_COOKIE['PMA_USER'])) && (isset($_COOKIE['PMA_PASSWORD']))) {
        $PMA_USER = $_COOKIE['PMA_USER'];
        $PMA_PASSWORD = $_COOKIE['PMA_PASSWORD'];

        return [
            $PMA_USER,
            $PMA_PASSWORD,
        ];
    }

    return [
        $PMA_USER,
        $PMA_PASSWORD,
    ];
}
